VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form frmOrder 
   AutoRedraw      =   -1  'True
   BackColor       =   &H00F7E3D6&
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   3255
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4560
   Icon            =   "Order.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3255
   ScaleWidth      =   4560
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin MSWinsockLib.Winsock Winsock2 
      Left            =   0
      Top             =   2760
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.Frame frmInfo 
      BackColor       =   &H00F7E3D6&
      Height          =   1455
      Left            =   240
      TabIndex        =   6
      Top             =   120
      Width           =   4095
      Begin VB.Label lblInfo 
         Alignment       =   2  'Center
         BackStyle       =   0  'Transparent
         Height          =   1230
         Left            =   120
         TabIndex        =   7
         Top             =   195
         Width           =   3855
      End
   End
   Begin VB.TextBox txtName 
      Height          =   285
      Left            =   1920
      TabIndex        =   0
      Top             =   1800
      Width           =   2415
   End
   Begin VB.CommandButton cmdCancel 
      BackColor       =   &H00F7E3D6&
      Height          =   375
      Left            =   2400
      TabIndex        =   3
      Top             =   2760
      Width           =   1455
   End
   Begin VB.CommandButton cmdOK 
      BackColor       =   &H00F7E3D6&
      Default         =   -1  'True
      Height          =   375
      Left            =   720
      TabIndex        =   2
      Top             =   2760
      Width           =   1455
   End
   Begin VB.TextBox txtMail 
      Height          =   285
      Left            =   1920
      TabIndex        =   1
      Top             =   2160
      Width           =   2415
   End
   Begin VB.Label lblName 
      BackStyle       =   0  'Transparent
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   1800
      Width           =   1575
   End
   Begin VB.Label lblMail 
      BackStyle       =   0  'Transparent
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   2160
      Width           =   1575
   End
End
Attribute VB_Name = "frmOrder"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'*********
'* Form: *
'*********

Private Sub Form_Load()

  Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon16.ico")
  Me.Caption = GetFromINI("frmOrder", "Me.Caption")
  lblInfo.Caption = GetFromINI("frmOrder", "lblInfo.Caption1") & " " & GetFromINI("frmOrder", "lblInfo.Caption2") & " " & GetFromINI("frmOrder", "lblInfo.Caption3") & " " & GetFromINI("frmOrder", "lblInfo.Caption4")
  lblName.Caption = GetFromINI("frmOrder", "lblName.Caption")
  lblMail.Caption = GetFromINI("frmOrder", "lblMail.Caption")
  cmdOK.Caption = GetFromINI("frmOrder", "cmdOK.Caption")
  cmdCancel.Caption = GetFromINI("frmOrder", "cmdCancel.Caption")
  txtName.Text = GetSetting(sAppName, "Order", "Name", vbNullString)
  txtMail.Text = GetSetting(sAppName, "Order", "Mail", vbNullString)
  SendKeys ("{HOME}+{END}")
  
  'Check FTP connection state:
  If sHost <> HOST_NAME Then
  
    Winsock2.Connect HOST_IP, 21 'Then try host IP address
    
  End If
  
End Sub

Private Sub Busy()

  On Error GoTo Error_Handler
  Screen.MousePointer = vbHourglass
  txtName.Enabled = False
  txtMail.Enabled = False
  cmdOK.Enabled = False
  cmdCancel.Enabled = False
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrder:Busy", Erl
  Resume Next
  
End Sub

Private Sub NotBusy()

  On Error GoTo Error_Handler
  txtName.Enabled = True
  txtMail.Enabled = True
  cmdOK.Enabled = True
  cmdCancel.Enabled = True
  Screen.MousePointer = vbDefault
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrder:NotBusy", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrder:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdOK_Click()

  On Error GoTo Error_Handler
  
  sName = txtName.Text
  sEmail = txtMail.Text
  
  If sName = vbNullString Then
  
    MsgBox GetFromINI("frmOrder", "Name"), vbInformation, sAppName
    txtName.SetFocus
    Exit Sub
    
  ElseIf sEmail = vbNullString Then
  
    MsgBox GetFromINI("frmOrder", "Mail"), vbInformation, sAppName
    txtMail.SetFocus
    Exit Sub
    
  ElseIf ValidEmail(sEmail) = False Then
  
    MsgBox GetFromINI("frmOrder", "InvalidMail"), vbInformation, sAppName
    txtMail.SetFocus
    SendKeys ("{HOME}+{END}")
    Exit Sub
    
  End If
  
  Busy
  SaveSetting sAppName, "Order", "Name", sName
  SaveSetting sAppName, "Order", "Mail", sEmail
  UnloadObject Me
  frmProgressFTP.FTPAlbum sName, LCase(sEmail), False
  Screen.MousePointer = vbDefault
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrder:cmdOK_Click", Erl
  Resume Next
  
End Sub

'************
'* Winsock: *
'************

Private Sub Winsock2_DataArrival(ByVal bytesTotal As Long)

  Dim strData As String

  Winsock2.GetData strData
  If Left(strData, 3) = "220" Then sHost = HOST_IP
  
End Sub

Private Sub Winsock2_Error(ByVal Number As Integer, Description As String, ByVal sCode As Long, ByVal Source As String, ByVal HelpFile As String, ByVal HelpContext As Long, CancelDisplay As Boolean)

  MsgBox "FTP connection error: " & Description & " (" & Number & ")", vbCritical, sAppName

End Sub
